Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class DatabaseInformation

    java.lang.Object
      |
      +--org.hsqldb.DatabaseInformation

class DatabaseInformation
extends Object

Field Summary
`(package private) final static java.lang.String` | `META_ASC_OR_DESC`
`(package private) final static java.lang.String` | `META_BUFFER_LENGTH`
`(package private) final static java.lang.String` | `META_CAT`
`(package private) final static java.lang.String` | `META_COLUMN_SIZE`
`(package private) final static java.lang.String` | `META_DECIMAL_DIGITS`
`(package private) final static java.lang.String` | `META_FIXED_PREC_SCALE`
`(package private) final static java.lang.String` | `META_NUM_PREC_RADIX`
`(package private) final static java.lang.String` | `META_ORDINAL_POSITON`
`(package private) final static java.lang.String` | `META_SCHEM`

Constructor Summary
`(package private)` | `DatabaseInformation(org.hsqldb.Database , java.util.Vector , org.hsqldb.Access )`

Method Summary
`(package private) org.hsqldb.Result` | `getScript(boolean , boolean , boolean , org.hsqldb.Channel )`
`(package private) org.hsqldb.Table` | `getSystemTable(java.lang.String , org.hsqldb.Channel )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### META_ASC_OR_DESC

    final static java.lang.String META_ASC_OR_DESC

### META_BUFFER_LENGTH

    final static java.lang.String META_BUFFER_LENGTH

### META_CAT

    final static java.lang.String META_CAT

### META_COLUMN_SIZE

    final static java.lang.String META_COLUMN_SIZE

### META_DECIMAL_DIGITS

    final static java.lang.String META_DECIMAL_DIGITS

### META_FIXED_PREC_SCALE

    final static java.lang.String META_FIXED_PREC_SCALE

### META_NUM_PREC_RADIX

    final static java.lang.String META_NUM_PREC_RADIX

### META_ORDINAL_POSITON

    final static java.lang.String META_ORDINAL_POSITON

### META_SCHEM

    final static java.lang.String META_SCHEM

Constructor Detail

### DatabaseInformation

    DatabaseInformation(org.hsqldb.Database , java.util.Vector , org.hsqldb.Access )

Method Detail

### getScript

    org.hsqldb.Result getScript(boolean , boolean , boolean , org.hsqldb.Channel )

### getSystemTable

    org.hsqldb.Table getSystemTable(java.lang.String , org.hsqldb.Channel )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD